= WeeChat Release Notes
:author: Sébastien Helleu
:email: flashcode@flashtux.org
:lang: en
:toc2:
:max-width: 100%


This document lists important changes for each version, that require manual
actions (the latest formatted version of this document can be found
https://weechat.org/files/releasenotes/ReleaseNotes-devel.html[here]). +
It is recommended to read it when upgrading to a new stable
version.

For a complete list of changes, please look at
https://weechat.org/files/changelog/ChangeLog-devel.html[ChangeLog]
(file 'ChangeLog.asciidoc' in sources).


[[1.4]]
== Version 1.4 (2016-01-10)

[[1.4_irc_alternate_nicks]]
=== IRC alternate nicks

The option 'irc.network.alternate_nick' has been moved into servers
('irc.server_default.nicks_alternate' and 'irc.server.xxx.nicks_alternate').

If you disabled this option, you must switch it off again, globally or by
server.

Globally (default value for all servers):

----
/set irc.server_default.nicks_alternate off
----

For a specific server:

----
/set irc.server.freenode.nicks_alternate off
----

[[1.3]]
== Version 1.3 (2015-08-16)

[[1.3_irc_channels_encoding]]
=== IRC channels encoding

If you are using exotic charsets in your channel names (anything different from
UTF-8, like ISO charset), you should turn on a new option:

----
/set irc.network.channel_encode on
----

This will force WeeChat to decode/encode the channel name
(like WeeChat 1.2 or older did).

See these issues for more information: issue #482, issue #218.

[NOTE]
It is *highly recommended* to use only UTF-8 in WeeChat (wherever you can),
because everything is stored as UTF-8 internally.

[[1.3_alias_command]]
=== Alias command

The command `/alias` has been updated to list, add and remove aliases.
Therefore the command `/unalias` has been removed.

To add an alias, the argument `add` must be used in command `/alias` before the
name, for example:

----
/alias add split /window splith
----

And the alias is removed with this command:

----
/alias del split
----

[[1.3_script_path]]
=== Script path

The option 'script.scripts.dir' has been renamed to 'script.scripts.path'
(and the content is now evaluated, see `/help eval`).

[[1.2]]
== Version 1.2 (2015-05-10)

The word chars are now customizable with two options:

* weechat.look.word_chars_highlight
* weechat.look.word_chars_input

The behavior has changed for command line: now any non-word char is used as
delimiter for keys to move to previous/next word or delete previous/next word.

You can restore the old behavior (only use spaces as delimiters) with this
command:

----
/set weechat.look.word_chars_input "!\u00A0,!\x20,*"
----

[[1.1.1]]
== Version 1.1.1 (2015-01-25)

Bug fix and maintenance release.

[[1.1]]
== Version 1.1 (2015-01-11)

[[1.1_triggers_regex_format]]
=== New format for regex replacement in triggers

A new format is used in regex replacement to use regex groups, this format
is incompatible with version 1.0.

The existing triggers are *NOT automatically updated*.

[width="60%",cols="2,2,3",options="header"]
|===
| Old format     | New format               | Examples (new format)
| `$0` ... `$99` | `${re:0}` ... `${re:99}` | `${re:1}`
| `$+`           | `${re:+}`                | `${re:+}`
| `$.*N`         | `${hide:*,${re:N}}`      | `${hide:*,${re:2}}` +
                                              `${hide:-,${re:+}}`
|===

Moreover, default triggers used to hide passwords have been fixed for *BSD
operating systems.

You can restore them with the following command:

----
/trigger restore cmd_pass msg_auth server_pass
----

If you added triggers with the old regex replacement format, you must update
them manually.

[[1.1_trigger_beep]]
=== Default "beep" trigger

The command of "beep" trigger is now executed only if the message is displayed
(not filtered with /filter).

You can restore the default "beep" trigger with the following command:

----
/trigger restore beep
----

[[1.1_commands_return_code]]
=== Return code of commands

The API function 'weechat_command' now sends the value returned return by
command callback.

WeeChat does not display any more an error when a command returns
'WEECHAT_RC_ERROR'. Consequently, all plugins/scripts should display an
explicit error message before returning 'WEECHAT_RC_ERROR'.

For C plugins, two macros have been added in weechat-plugin.h:
'WEECHAT_COMMAND_MIN_ARGS' and 'WEECHAT_COMMAND_ERROR'.

[[1.1_inline_commands_completion]]
=== Completion of inline commands

WeeChat now completes by default inline commands (not only at beginning of
line).

When this feature is enabled, there is no more automatic completion of
absolute paths (except if you are completing a path inside a command argument,
like `/dcc send <nick> <path>`).

To restore the old behavior (no completion of inline commands):

----
/set weechat.completion.command_inline off
----

[[1.1_relay_irc_backlog_tags]]
=== Relay option relay.irc.backlog_tags

The option 'relay.irc.backlog_tags' is now a list separated by commas
(it was separated by semicolons in older versions).

If you are using a list of tags in this option, you must adjust the value
manually.

[[1.1_relay_ipv6_ipv4]]
=== IPv4-mapped IPv6 client address in relay

The string "::ffff:" has been removed from IPv4-mapped IPv6 client address
in relay plugin.

If you are using "::ffff:" in option 'relay.network.allowed_ips', you can
remove it.

[[1.1_irc_temporary_servers]]
=== Temporary servers disabled by default with /connect

Creating a temporary server with command `/connect <address>` or
`/connect irc://...` is now forbidden by default.

A new option has been added to unlock the feature, you can do that for
the old behavior in command `/connect`:

----
/set irc.look.temporary_servers on
----

[[1.1_timeval_microseconds]]
=== Microseconds in API timeval functions

The API functions using timeval are now using or returning microseconds,
instead of milliseconds:

* function 'util_timeval_diff': returns microseconds
* function 'util_timeval_add': the argument 'interval' is now expressed in
  microseconds.

[[1.0.1]]
== Version 1.0.1 (2014-09-28)

Bug fix and maintenance release.

[[1.0]]
== Version 1.0 (2014-08-15)

[[1.0_irc_channel_type]]
=== Channel type not added by default on /join

The channel type is not any more automatically added to a channel name on join
(for example `/join weechat` will not send `/join #weechat`).

If you are lazy and want to automatically add the channel type, you can turn on
the new option:

----
/set irc.look.join_auto_add_chantype on
----

[[1.0_irc_channel_modes_arguments]]
=== Hide IRC channel modes arguments

The option 'irc.look.item_channel_modes_hide_key' has been renamed to
'irc.look.item_channel_modes_hide_args' and is now a string. +
It can now hide arguments for multiple channel modes.

By default, a channel key (mode "k") will hide channel arguments. For old
behavior (never hide arguments, even with a channel key), you can do:

----
/set irc.look.item_channel_modes_hide_args ""
----

[[1.0_jump_first_last_buffer]]
=== Jump to first/last buffer

The command `/input jump_last_buffer` has been replaced by `/buffer +`.
You can rebind the key key[alt-j,alt-l]:

----
/key bind meta-jmeta-l /buffer +
----

[NOTE]
The command `/input jump_last_buffer` still works for compatibility reasons,
but it should not be used any more.

Similarly, a new key has been added to jump to first buffer: key[alt-j,alt-f].
You can add it with following command:

----
/key missing
----

[[1.0_hotlist_conditions]]
=== Hotlist conditions

A new option 'weechat.look.hotlist_add_conditions' has been added. This option
replaces the option 'weechat.look.hotlist_add_buffer_if_away', which has been
removed.

Default conditions are `${away} || ${buffer.num_displayed} == 0`, which means
that a buffer is added in hotlist if you are away ("away" local variable is
set), or if the buffer is not visible on screen (not displayed in any window).

If you have set 'weechat.look.hotlist_add_buffer_if_away' to `off` (to not add
current buffer in hotlist when you are away), then you must manually change the
default conditions with the following command:

----
/set weechat.look.hotlist_add_conditions "${buffer.num_displayed} == 0"
----

[[1.0_trigger_plugin]]
=== Rmodifier replaced by Trigger plugin

The trigger plugin replaces the rmodifier plugin, which has been removed
(and trigger has much more features than rmodifier).

Default triggers have same features as default rmodifiers (to hide passwords
in commands and output).

If you added some custom rmodifiers, you must create similar triggers, see
`/help trigger` and the complete trigger doc in the 'WeeChat User's guide'.

[NOTE]
If on startup you have an error about API mismatch in plugin 'rmodifier.so',
you can manually remove the file (the command `make install` does not remove
obsolete plugins).

[[1.0_bare_display]]
=== Bare display

A bare display mode has been added (for easy text selection and click on URLs),
the new default key is key[alt-l].

Use command `/key missing` to add the key or `/key listdiff` to see differences
between your current keys and WeeChat default keys.

[[0.4.3]]
== Version 0.4.3 (2014-02-09)

[[0.4.3_colors_messages]]
=== Colors in messages

The color code for "reverse video" in IRC message has been fixed: now WeeChat
uses 0x16 like other clients (and not 0x12 any more). +
The code 0x12 is not decoded any more, so if it is received (for example from
an old WeeChat version), it is not displayed as reverse video.

The color code for "underlined text" in input line has been fixed: now WeeChat
uses 0x1F, the same code sent to IRC server.

The default keys for "reverse video" and "underlined text" have changed:

* reverse video: key key[ctrl-c,r] is replaced by key[ctrl-c,v]
* underlined text: key key[ctrl-c,u] is replaced by key[ctrl-c,_]

You can remove the old keys and add the new ones with these commands:

----
/key unbind ctrl-Cr
/key unbind ctrl-Cu
/key missing
----

[[0.4.3_terminal_title]]
=== Terminal title

The boolean option 'weechat.look.set_title' has been renamed to
'weechat.look.window_title' and is now a string.

The content is evaluated and the default value is `WeeChat ${info:version}`.

[NOTE]
Only static content should be used in this option, because the title is
refreshed only when the option is changed.

[[0.4.3_bar_item_buffer_last_number]]
=== New bar item buffer_last_number

The bar item 'buffer_count' now displays the number of opened buffers (each
merged buffer counts 1).

The new bar item 'buffer_last_number' displays the highest buffer number
currently used.

If you want to display last number in the status bar, replace 'buffer_count'
by 'buffer_last_number' in your option 'weechat.bar.status.items'.

[[0.4.3_bar_item_buffer_zoom]]
=== New bar item buffer_zoom

A new bar item has been added: 'buffer_zoom'.
The default value for status bar items becomes:

----
/set weechat.bar.status.items "[time],[buffer_count],[buffer_plugin],buffer_number+:+buffer_name+(buffer_modes)+{buffer_nicklist_count}+buffer_zoom+buffer_filter,[lag],[hotlist],completion,scroll"
----

[[0.4.3_irc_messages_channel_join]]
=== IRC messages on channel join

The names are not displayed any more by default on channel join (they are in
nicklist anyway).

Names can be displayed with the value "353" in option
'irc.look.display_join_message' (which is not in default value). +
The value "366" shows only names count on channel.

If you want to display all messages on join (including names), you can do:

----
/set irc.look.display_join_message "329,332,333,353,366"
----

[[0.4.3_irc_maximum_lag]]
=== Maximum lag in IRC

Option 'irc.network.lag_max' has been added.

The value of option 'irc.network.lag_reconnect' (if set to non-zero value) must
be less than or equal to 'irc.network.lag_max', otherwise the reconnection will
never occur.

You should check the value of both options and fix them if needed.

[[0.4.2]]
== Version 0.4.2 (2013-10-06)

[[0.4.2_day_change_message]]
=== Day change message

The day change message is now dynamically displayed, and therefore is not stored
as a line in buffer any more.

Option 'weechat.look.day_change_time_format' has been split into two options
'weechat.look.day_change_message_{1date|2dates}' (color codes are allowed in
these options, see `/help eval`).

New color option 'weechat.color.chat_day_change' has been added.

After `/upgrade` from an old version, you will see two messages for each day
change. This is a normal behavior and will not happen again with the next day
changes.

[[0.4.2_buffer_regex_search]]
=== Regex search in buffer

Search with regular expression has been added, and therefore some keys in search
context have been changed.

The key key[ctrl-r] in search context is now used to switch string/regex search
(instead of searching exact text).

If you never changed keys in search context, you can reset them all with one
command:

----
/key resetall -yes search
----

Or the manual method:

----
/key missing search
/key bindctxt search ctrl-R /input search_switch_regex
----

To view keys in search context:

----
/key list search
----

For more information, see the chapter about keys in the 'WeeChat User's guide'.

[[0.4.2_rmodifier]]
=== New rmodifier

A new rmodifier "secure" has been added to hide passphrase and passwords
displayed by command "/secure". Use command `/rmodifier missing` to add it.

[[0.4.2_color_codes_options]]
=== Color codes in options

The format for color codes in some options has changed. The options are
evaluated with the function "string_eval_expression", which uses the format
`${color:xxx}`.

Following options are affected:

* 'weechat.look.buffer_time_format'
* 'weechat.look.prefix_action'
* 'weechat.look.prefix_error'
* 'weechat.look.prefix_join'
* 'weechat.look.prefix_network'
* 'weechat.look.prefix_quit'

The options using old format `${xxx}` must be changed with new format
`${color:xxx}` (where xxx is a color name or number, with optional color
attributes).

Example:

----
/set weechat.look.buffer_time_format "${color:251}%H${color:243}%M${color:238}%S"
----

[[0.4.2_binary_man_page]]
=== Binary and man page

WeeChat binary and man page have been renamed from `weechat-curses` to
`weechat`.

A symbolic link has been added for binary: `weechat-curses` -> `weechat`
(so that the /upgrade from a old version will still work).

If you upgrade from an old version, it is recommended to force the use of the
new binary name with the command: `/upgrade /path/to/weechat` (replace the path
accordingly).

[NOTE]
For packagers: you should create the link `weechat-curses` -> `weechat` if it's
not automatically created in the package (both cmake and configure are creating
this link on make install).

[[0.4.2_man_page_documentation]]
=== Man page / documentation

Documentation is not built by default any more, you have to use option
`-DENABLE_DOC=ON` in cmake to enable it.

The man page is now built with asciidoc and translated in several
languages. A new cmake option `ENABLE_MAN` has been added to compile man page
(`OFF` by default).

[[0.4.2_aspell_colors]]
=== Aspell colors

Option 'aspell.look.color' has been renamed to 'aspell.color.misspelled'.

[[0.4.1]]
== Version 0.4.1 (2013-05-20)

[[0.4.1_relay_nicklist_diff]]
=== Nicklist diff in relay

A new message with identifier "_nicklist_diff" has been added in relay (WeeChat
protocol). WeeChat may decide to send full nicklist or this nicklist diff at any
time (depending on size of message, the smaller is sent).

Clients using nicklist must implement it.

For more info about content of message, see document 'WeeChat Relay Protocol'.

[[0.4.1_dynamic_nick_prefix_suffix]]
=== Dynamic nick prefix/suffix

The nick prefix/suffix (for example: "<" and ">") are now dynamic and used on
display (not stored any more in the line).

Options moved from irc plugin (irc.conf) to core (weechat.conf):

* 'irc.look.nick_prefix' moved to 'weechat.look.nick_prefix'
* 'irc.look.nick_suffix' moved to 'weechat.look.nick_suffix'
* 'irc.color.nick_prefix' moved to 'weechat.color.chat_nick_prefix'
* 'irc.color.nick_suffix' moved to 'weechat.color.chat_nick_suffix'

Types and default values for these four options remain unchanged.

Two new options to customize the truncature char (by default "`+`"):

* 'weechat.look.prefix_align_more_after' (boolean, 'on' by default)
* 'weechat.look.prefix_buffer_align_more_after' (boolean, 'on' by default)

When these options are enabled (default), the "`+`" is displayed after the
text, replacing the space that should be displayed there. +
When turned off, the "`+`" will replace last char of text.

Example for a nicks "FlashCode" and "fc" with different values for options
'weechat.look.prefix_align_max', 'weechat.look.prefix_align_more_after',
'weechat.look.nick_prefix' and 'weechat.look.nick_suffix':

----
                      # align_max, more_after, prefix/suffix

FlashCode │ test      # 0, on
       fc │ test

FlashCod+│ test       # 8, on
      fc │ test

FlashCo+ │ test       # 8, off
      fc │ test

<FlashCode> │ test    # 0, on,  < >
       <fc> │ test

<FlashC>+│ test       # 8, on,  < >
    <fc> │ test

<Flash+> │ test       # 8, off, < >
    <fc> │ test
----

After `/upgrade`, if you set new options to non-empty strings, and if old
options were set to non-empty strings too, you will see double prefix/suffix
on old messages, this is normal behavior (lines displayed before `/upgrade`
have prefix/suffix saved in prefix, but new lines don't have them any more).

New options in logger plugin (logger.conf):

* 'logger.file.nick_prefix': prefix for nicks in log files (default: empty
  string)
* 'logger.file.nick_suffix': suffix for nicks in log files (default: empty
  string)

[[0.4.1_irc_reconnection_lag]]
=== IRC reconnection on important lag

Option 'irc.network.lag_disconnect' has been renamed to
'irc.network.lag_reconnect' and value is now a number of seconds (instead of
minutes).

[[0.4.1_irc_passwords_hidden]]
=== IRC passwords hidden

IRC plugin is now using modifiers "irc_command_auth" and "irc_message_auth" to
hide passwords.

The option 'irc.look.hide_nickserv_pwd' has been removed, and a new option
'irc.look.nicks_hide_password' has been added (by default passwords are hidden
only for "nickserv").

A new rmodifier "message_auth" has been added to hide passwords displayed by
command "/msg nickserv identify|register|ghost|release" and the rmodifier
"nickserv" has been renamed to "command_auth".

If you never added/changed rmodifiers, you can just reset all rmodifiers:

----
/rmodifier default -yes
----

If you added/changed some rmodifiers, do it manually with these commands:

----
/rmodifier del nickserv
/rmodifier add command_auth history_add,input_text_display,irc_command_auth 1,4* ^(/(msg|quote) +nickserv +(id|identify|register|ghost \S+|release \S+) +)(.*)
/rmodifier add message_auth irc_message_auth 1,3* ^(.*(id|identify|register|ghost \S+|release \S+) +)(.*)
----

[[0.4.1_lua_constants]]
=== Lua constants

For consistency with other supported languages, the API constants in Lua have
been redefined as constants instead of functions.

Therefore, the use of a constant must be changed: the parentheses must be
removed.

The old syntax was:

[source,lua]
----
return weechat.WEECHAT_RC_OK()
----

The new syntax is:

[source,lua]
----
return weechat.WEECHAT_RC_OK
----

[[0.4.1_guile_callbacks]]
=== Guile callbacks

The way to give arguments for guile callbacks has been fixed: now arguments are
sent individually (instead of a list with all arguments inside).

Therefore, existing guile scripts must be modified accordingly. Moreover,
WeeChat now requires Guile ≥ 2.0 to compile.

[[0.4.0]]
== Version 0.4.0 (2013-01-20)

[[0.4.0_bars_conditions]]
=== Conditions in bars

Conditions in bars have changed, and now an expression is evaluated.

If you have a value with many conditions in a bar, like: `nicklist,active`, you
must now use an expression like: `${nicklist} && ${active}` (see the chapter
about bars in the 'WeeChat User's guide').

[[0.4.0_ipv6_default]]
=== IPv6 by default

==== IRC

IPv6 is now used by default to connect to IRC servers, with fallback to
IPv4. The option 'irc.server_default.ipv6' is now "on" by default. If IPv6 is
not enabled or fails, IPv4 will be used. The "ipv6" option in server is now used
to disable IPv6 and force IPv4 (if option is turned "off").

==== Relay

Relay plugin is now listening by default on an IPv6 socket (new option
'relay.network.ipv6', on by default), so connections with IPv4 will have
IPv4-mapped IPv6 addresses, like: "::ffff:127.0.0.1" (for "127.0.0.1"); check
that value of option 'relay.network.allowed_ips' supports this mapping, or
disable IPv6 in relay if you don't plan to use it at all:

----
/set relay.network.ipv6 off
----

[[0.3.9.2]]
== Version 0.3.9.2 (2012-11-18)

This version fixes a security vulnerability when a plugin/script gives untrusted
command to API function "hook_process".

[[0.3.9.1]]
== Version 0.3.9.1 (2012-11-09)

This version fixes crash when decoding IRC colors in strings.

[[0.3.9]]
== Version 0.3.9 (2012-09-29)

[[0.3.9_options_moved]]
=== Options moved

Options moved from core (weechat.conf) to irc plugin (irc.conf):

* 'weechat.look.nickmode' moved to 'irc.look.nick_mode' (new type: integer
   with values: none/prefix/action/both)
* 'weechat.look.nickmode_empty' moved to 'irc.look.nick_mode_empty'

[[0.3.9_bar_item_buffer_modes]]
=== New bar item buffer_modes

A new bar item has been added: 'buffer_modes' and irc option
'irc.look.item_channel_modes' has been removed; to display irc channel modes in
status bar (after channel name), you have to manually add the new item
'buffer_modes' (this is now used by default in status bar items), default value
for status bar items becomes:

----
/set weechat.bar.status.items "[time],[buffer_count],[buffer_plugin],buffer_number+:+buffer_name+(buffer_modes)+{buffer_nicklist_count}+buffer_filter,[lag],[hotlist],completion,scroll"
----

[[0.3.9_command_aspell]]
=== Command /aspell

New options in command `/aspell`:

* `enable`: enable aspell
* `disable`: disable aspell
* `toggle`: toggle aspell (new default key: key[alt-s])

Options renamed in command `/aspell`:

* `enable` renamed to `setdict` (set dictionary for current buffer)
* `disable` renamed to `deldict` (delete dictionary used on current buffer)
* `dictlist` renamed to `listdict` (show installed dictionaries)

[[0.3.9_horizontal_separator]]
=== Horizontal separator

An horizontal separator has been added between split windows, and two options
have been added to toggle separators (both are enabled by default):

* 'weechat.look.window_separator_horizontal'
* 'weechat.look.window_separator_vertical'

[[0.3.9_new_keys]]
=== New keys

New keys were added, use command `/key missing` to add them or `/key listdiff`
to see differences between your current keys and WeeChat default keys.

[[0.3.8]]
== Version 0.3.8 (2012-06-03)

[[0.3.8_options]]
=== Options

Options 'weechat.look.prefix_align_more' and
'weechat.look.prefix_buffer_align_more' have been converted from type boolean to
string:

* if the value was on (default), new value is "+" and you can now customize this
  char
* if the value was off, you have to set " " (string with one space)

[[0.3.8_paste_detection]]
=== Paste detection

Option 'weechat.look.paste_max_lines' can now be used with value 0 to detect
paste with one line (only if terminal "bracketed paste mode" is enabled when
option 'weechat.look.paste_bracketed' is on); so now the value -1 is used to
disable paste detection: if your value was 0, you should set it to -1

----
/set weechat.look.paste_max_lines -1
----

[[0.3.8_rmodifier]]
=== Rmodifier

Rmodifier "nickserv" has a new default regex which includes option "release" for
command "/msg nickserv".

If you never added/changed rmodifiers, you can just reset all rmodifiers:

----
/rmodifier default -yes
----

If you added/changed some rmodifiers, do it manually with these commands:

----
/rmodifier del nickserv
/rmodifier add nickserv history_add,input_text_display 1,4* ^(/(msg|quote) +nickserv +(id|identify|ghost \S+|release \S+) +)(.*)
----

[[0.3.7]]
== Version 0.3.7 (2012-02-26)

[[0.3.7_options]]
=== Options

Option `scroll_unread` has been moved from command `/input` to `/window`,
therefore default command of key key[alt-u] has been updated. To bind key with
new default value:

----
/key bind meta-u /window scroll_unread
----

Option 'weechat.history.max_lines' has been renamed to
'weechat.history.max_buffer_lines_number'.

Option 'weechat.plugin.extension' now supports list of extensions, and new
default value is ".so,.dll" (with this value, weechat.conf is compatible with
Cygwin).

[[0.3.7_extended_regex]]
=== Extended regex

Extended regex is used in filters and irc ignore, so some chars that needed
escape in past do not need any more (for example `[0-9]\+` becomes `[0-9]+`),
filters and ignore have to be manually fixed.

Option 'weechat.look.highlight_regex' becomes case insensitive by default, to
make it case sensitive, use "(?-i)" at beginning of string, for example:
"(?-i)FlashCode|flashy".

[[0.3.6]]
== Version 0.3.6 (2011-10-22)

[[0.3.6_options]]
=== Options

Option 'weechat.look.hline_char' has been renamed to
'weechat.look.separator_horizontal'.

[[0.3.6_colors_bold]]
=== Bold in colors

Bold is not used any more for basic colors (used only if terminal has less than
16 colors), a new option has been added to force bold if needed:
'weechat.look.color_basic_force_bold'.

[[0.3.5]]
== Version 0.3.5 (2011-05-15)

[[0.3.5_colors]]
=== Colors

If you have some colors defined in section "palette" with version 0.3.4, you
should remove all colors defined, and add new aliases (it's not needed any more
to add colors before using them).

Colors for nick prefixes (char for op, voice, ..) are defined in a single option
'irc.color.nick_prefixes', therefore following options will be lost:
'irc.color.nick_prefix_op', 'irc.color.nick_prefix_halfop',
'irc.color.nick_prefix_voice', 'irc.color.nick_prefix_user'.

[[0.3.5_hotlist]]
=== Hotlist

[[0.3.5_hotlist_counters]]
==== Counters

Count of messages have been added to hotlist by default, if you want to come
back to old behavior, do that:

----
/set weechat.look.hotlist_count_max 0
/set weechat.look.hotlist_buffer_separator ","
----

[[0.3.5_hotlist_away_current_buffer]]
==== Away and current buffer

When you are away, all buffers are now added to hotlist by default (even if they
are displayed in a window), if you want to come back to old behavior, do that:

----
/set weechat.look.hotlist_add_buffer_if_away off
----

[[0.3.5_new_keys]]
=== New keys

New keys were added, use command `/key missing` to add them or `/key listdiff`
to see differences between your current keys and WeeChat default keys.

[[0.3.4]]
== Version 0.3.4 (2011-01-16)

[[0.3.4_after_upgrade]]
=== After /upgrade

If you are using `/upgrade` from a previous release:

* some nick prefixes can be wrong, so it is recommended to do `/allchan names`
* nick colors are defined with a new option 'weechat.color.chat_nick_colors',
  therefore old options 'weechat.color.chat_nick_color1..10' will be lost when
  upgrading
* nick colors in messages displayed will be wrong if you changed some nick
  colors (old default colors will be used)

[[0.3.4_options]]
=== Options

Some IRC options have been renamed, before upgrading to this version, note
value for old options, and set them again with new name:

* options moved from 'network' section to servers (with global value, and server
  value, like other server options):
** 'irc.network.connection_timeout' moved to
   'irc.server_default.connection_timeout'
** 'irc.network.anti_flood_prio_high' moved to
   'irc.server_default.anti_flood_prio_high'
** 'irc.network.anti_flood_prio_low' moved to
   'irc.server_default.anti_flood_prio_low'
** 'irc.network.away_check' moved to 'irc.server_default.away_check'
** 'irc.network.away_check_max_nicks' moved to
   'irc.server_default.away_check_max_nicks'
** 'irc.network.default_msg_part' moved to 'irc.server_default.default_msg_part'
** 'irc.network.default_msg_quit' moved to 'irc.server_default.default_msg_quit'
* other IRC options renamed:
** 'irc.look.open_channel_near_server' moved to 'irc.look.new_channel_position'
   (old option was boolean, new is integer with value as string)
** 'irc.look.open_pv_near_server' moved to 'irc.look.new_pv_position'
   (old option was boolean, new is integer with value as string)

[[0.3.3]]
== Version 0.3.3 (2010-08-07)

[[0.3.3_after_upgrade]]
=== After /upgrade

If you are using `/upgrade` from a previous release, then you must reconnect to
IRC servers in order to use new command /wallchops.

[[0.3.3_options]]
=== Options

Option 'irc.look.show_away_once' has been renamed to
'irc.look.display_pv_away_once'.

Option 'irc.network.lag_min_show' is now in milliseconds, you should set new
value: your current value multiplied by 1000 (new default value is 500).

[[0.3.2]]
== Version 0.3.2 (2010-04-18)

[[0.3.2_after_upgrade]]
=== After /upgrade

If you are using `/upgrade` from a previous release, then you must execute this
command on all IRC servers/channels/private buffers and xfer DCC chats (not
needed on WeeChat core buffer or buffers from other plugins/scripts):

----
/buffer set highlight_words $nick
----

[[0.3.1.1]]
== Version 0.3.1.1 (2010-01-31)

This version fixes crashes with SSL connection and purge of old DCC chats.

All users of version 0.3.1 should upgrade to this version.

[[0.3.1]]
== Version 0.3.1 (2010-01-23)

[[0.3.1_aliases]]
=== Aliases

IRC commands /ame and /amsg are now aliases, if you are upgrading from version
0.3.0, you must create aliases with following commands:

----
/alias aaway allserv /away
/alias ame allchan /me
/alias amsg allchan /amsg *
/alias anick allserv /nick
----

[[0.3.0]]
== Version 0.3.0 (2009-09-06)

This version brings *MAJOR* changes, especially for configuration files and
plugin API and is not compatible with previous versions.

Major differences:

* it is *NOT POSSIBLE* to use command `/upgrade` from a version 0.2.x to 0.3.x;
  you have to quit your old WeeChat, then run new version.
* new configuration files (`*.conf`) are not compatible with old files (`*.rc`).
* name of options is similar to old versions, but there is now one configuration
  file by plugin, and one file for WeeChat core; there is
  *no automatic conversion* for your old options to new configuration files,
  so you'll have to setup again your IRC servers and all other options.
* plugin API has been rewritten and is not compatible with previous versions;
  accordingly, scripts and plugins must have been designed for version 0.3.x to
  be loaded into WeeChat.

More information about new API is available on wiki:
http://wiki.flashtux.org/wiki/WeeChat_0.3.0
and http://wiki.flashtux.org/wiki/WeeChat_0.3.0_API

[[0.2.6.3]]
== Version 0.2.6.3 (2009-06-13)

This version fixes gnutls detection.

[[0.2.6.2]]
== Version 0.2.6.2 (2009-04-18)

This version fixes a bug with charset decoding (like 'iso2022jp').

[[0.2.6.1]]
== Version 0.2.6.1 (2009-03-14)

This version fixes a major bug: crash with some special chars in IRC messages.

[[0.2.6]]
== Version 0.2.6 (2007-09-06)

No release note.

[[0.2.5]]
== Version 0.2.5 (2007-06-07)

No release note.

[[0.2.4]]
== Version 0.2.4 (2007-03-29)

No release note.

[[0.2.3]]
== Version 0.2.3 (2007-01-10)

This version fixes several major bugs of version 0.2.2.

All users of version 0.2.2 should upgrade to this version.

[[0.2.2]]
== Version 0.2.2 (2007-01-06)

[[0.2.2_charset_plugin]]
=== Charset plugin

For users of any previous version, all your charset settings in weechat.rc will
be LOST! You should save your weechat.rc to keep your values and set them again
with new 'charset' plugin.

For ISO users: history of channels may be without accents (after `/upgrade`),
this is not recoverable, but this is not a bug. All new messages should be OK.

Be careful, now default encode is UTF-8 for all channels (before it was terminal
charset). If you still want to send messages as 'ISO-8859-1', you should set
either global encode or server specific encode to 'ISO-8859-1'.

For global encode:

----
/setp charset.global.encode = "ISO-8859-1"
----

For server encode (on server buffer):

----
/charset encode ISO-8859-1
----

[[0.2.2_new_keys]]
=== New keys

New keys for topic scroll: key[F9]/key[F10].

Key key[F10] was used for `infobar_clear` in previous WeeChat versions, you
have to manually rebind this key (except for new WeeChat users):

----
/key <press alt+"k" then F10> scroll_topic_right
----

Which gives something like:

----
/key meta2-21~ scroll_topic_right
----

[[0.2.1]]
== Version 0.2.1 (2006-10-01)

No release note.

[[0.2.0]]
== Version 0.2.0 (2006-08-19)

[[0.2.0_after_upgrade]]
=== After /upgrade

If you upgraded with `/upgrade` in WeeChat, you should `/disconnect` and then
`/reconnect` on each server, to display properly channel/user modes.

[[0.2.0_plugins]]
=== Plugins

If you're using plugins, you should remove some old plugins libraries in WeeChat
system library directory (commonly '/usr/local/lib/weechat/plugins'): remove
`lib*` files (like `libperl.*`, `libpython.*`, ..) and keep only new libraries
(`perl.*`, `python.*`, ..).

[[0.1.9]]
== Version 0.1.9 (2006-05-25)

[[0.1.9_dcc_chat]]
=== DCC chat

Please close all DCC chat buffers before using /upgrade command, otherwise you
may experience problems with DCC chats.

[[0.1.9_script_api]]
=== Script API

Some changes in script API: now timer handlers functions takes exactly 0 (zero)
argument (in version 0.1.8, two arguments were mandatory but not used: server
and arguments).

[[0.1.8]]
== Version 0.1.8 (2006-03-18)

[[0.1.8_after_upgrade]]
=== After /upgrade

After installing 0.1.8 (or with `/upgrade`), issue both commands (if you didn't
redefine these keys (key[alt-]key[Home]/key[End]):

----
/key unbind meta-meta2-1~
/key unbind meta-meta2-4~
----

Then launch again WeeChat (or issue `/upgrade`).

[[0.1.8_configuration_files]]
=== Configuration files

It is recommended for users of version 0.1.7 (or any older), to replace values
in setup file ('~/.weechat/weechat.rc'):

* option: log_path: replace '~/.weechat/logs' by '%h/logs'
* option: plugins_path: replace '~/.weechat/plugins' by '%h/plugins'

The string '%h' is replaced by WeeChat home (default: '~/.weechat', may be
overridden by new command line argument `--dir`).

[[0.1.8_keys]]
=== Keys

Keys key[alt-]key[Home]/key[End] were used for nicklist scroll, they're now
replaced by key[alt-]key[F11]/key[F12].

[[0.1.7]]
== Version 0.1.7 (2006-01-14)

[[0.1.7_ruby]]
=== Ruby

Ruby script plugin has been added but is experimental in this release. You're
warned!

[[0.1.7_command_away]]
=== Command /away

Command `/away` was changed to be RFC 2812 compliant. Now argument is required
to set away, and no argument means remove away ("back").

Option 'irc_default_msg_away' has been removed.

[[0.1.6]]
== Version 0.1.6 (2005-11-11)

[[0.1.6_script_api]]
=== Script API

Incompatibility with some old scripts: now all handlers have to return a code
for completion, and to do some actions about message to ignore (please look at
documentation for detail).

[[0.1.6_openbsd]]
=== OpenBSD

On OpenBSD, the new option 'plugins_extension' should be set to '.so.0.0' since
the plugins names are ending by '.so.0.0' and not '.so'.

[[0.1.6_utf8]]
=== UTF-8

With new and full UTF-8 support, the option 'look_charset_internal' should be
set to blank for most cases. Forces it only if your locale is not properly
detected by WeeChat (you can set 'UTF-8' or 'ISO-8859-15' for example, depending
on your locale). WeeChat is looking for 'UTF-8' in your locale name at startup.

[[0.1.5]]
== Version 0.1.5 (2005-09-24)

No release note.

[[0.1.4]]
== Version 0.1.4 (2005-07-30)

No release note.

[[0.1.3]]
== Version 0.1.3 (2005-07-02)

No release note.

[[0.1.2]]
== Version 0.1.2 (2005-05-21)

No release note.

[[0.1.1]]
== Version 0.1.1 (2005-03-20)

No release note.

[[0.1.0]]
== Version 0.1.0 (2005-02-12)

No release note.

[[0.0.9]]
== Version 0.0.9 (2005-01-01)

No release note.

[[0.0.8]]
== Version 0.0.8 (2004-10-30)

No release note.

[[0.0.7]]
== Version 0.0.7 (2004-08-08)

No release note.

[[0.0.6]]
== Version 0.0.6 (2004-06-05)

No release note.

[[0.0.5]]
== Version 0.0.5 (2004-02-07)

No release note.

[[0.0.4]]
== Version 0.0.4 (2004-01-01)

No release note.

[[0.0.3]]
== Version 0.0.3 (2003-11-03)

No release note.

[[0.0.2]]
== Version 0.0.2 (2003-10-05)

No release note.

[[0.0.1]]
== Version 0.0.1 (2003-09-27)

No release note.
